Create a new pipeline stage
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/contacts/pipeline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Lead",
"order": 1,
"is_active": true
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/contacts/pipeline"
payload = {
"name": "Lead",
"order": 1,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Lead', order: 1, is_active: true})
};
fetch('https://{subdomain}.mihu.ai/api/v1/contacts/pipeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Contact Pipeline
Create a new pipeline stage
Creates a pipeline stage that can be assigned to contacts. Use this to add a new lifecycle step such as Lead, Qualified, Customer, or Closed. If order is omitted, the stage is appended to the end of the current stage list.
POST
/
api
/
v1
/
contacts
/
pipeline
Create a new pipeline stage
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Body
application/json
Response
Pipeline stage created
⌘I